package com.njcn.system.enums;

import lombok.Data;
import lombok.Getter;

/**
 * @version 1.0.0
 * @author: chenchao
 * @date: 2022/07/15 16:21
 */
@Getter
public enum AuditLogEnum {

    /**
     * 审计日志模块异常响应码
     */
    NOT_FIND_FILE("A0300", "文件未备份或者备份文件为空，请先备份文件"),
    LOG_EXCEPTION("A0301", "导入旧日志文件异常"),
    LOG_EXCEPTIONTIME("A0302", "导入旧日志文件异常:缺少时间范围"),
    DELETE_DATA("A0303", "导入旧日志文件异常:删除数据失败"),
    MULTIPLE_CLICKS_LOGFILEWRITER("A0304", "当前文件备份数据未结束，请勿多次点击"),
    MULTIPLE_CLICKS_RECOVERLOGFILE("A0303", "当前文件恢复数据未结束，请勿多次点击")
    ;


    private final String code;

    private final String message;

    AuditLogEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
